MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000018Soldat Dedicated ServerScripting Corepublic2011-09-14 17:232011-10-01 17:50
ReporterJotEmI 
Assigned ToFryer 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.7.0 
Target VersionFixed in Version2.7.1 
Summary0000018: Bullets created by CreateBullet() are invisible
DescriptionSome bullets (stat gun bullets and flames for sure, will check for more) created by CreatBullet() are invisible in game. They are created, they do deal damage but players just can't see them.
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0000076closedFryer Soldat Flames and Statgun bullet type 

-  Notes
(0001128)
DorkeyDear (reporter)
2011-09-17 18:25

I did some semi-thorough testing. Sorry if anything is unclear or incorrect. I was a bit lazy when editing my notes. :P


Playing as player 1, creating player 1 bullets, of varied bullet styles:

5: launch sounds plays; invisible; seems to show flames if created inside walls, or on a person at the end of the animation cycle (which it does do damage)
6,11,14: appears to creates an invisible bullet with behavior similar to that of a plain bullet, but without any player-collision
6,11,14: "punch" weapon / knife/chainsaw / M2 bullet; invisible bullet, acts as projectile, colliding with ground
0,15-255: invisible; no collision animation (but if many of these types of bullets collide at the same time, it does lag for a second or so); pushes players; does not call OnPlayerDamage

Playing as player 1, creating player 2 bullets (suspected same behavior for all players 2-31), of varied bullet styles:

1: graphic projectile goes through walls and such, and does collide with player & collision circles; this is not visible though
actual physics projectile follows normal physics, and doesn't necessarially follow where the bullet "graphic" is at
2: creates a grenade which is visible, but visually acts strange:
when going through ground. I believe the image falls off the path of the true grenade. also grenades don't explode in time (having the ability to have invisible grenades owned by player 2 on the ground. walk on them, and you die! but they do explode by themselves in time though. explosion animation only follows animation projectile)
note: only graphical projectile pushes you; the damaging projectile appears to only damage you and explode though
edit: tested at a different time, and graphics seem to act normally - not sure what was done different
6: inisible projectile hits you, and acts as somebody punched you, making you lose your weapon, and damaging you
9: animation explodes when hits colliders, but not people; true projectile behaves as a normal bullet (invisible)
11: completely invisible; if collides with you, you do bleed and get damaged
13: real projectile turns into a knife "spawning out of thin air" when collides with something that normally turns a knife from a projectile into a pickup-able weapon

Tested by playing as player 1, creating player 0 bullets (same for creating player 32 and higher bullets):
no matter what, nothing happened
(0001170)
Shoozza (administrator)
2011-09-23 11:52

Did you test them while there was a player in slot 2 or when you was alone on the server?

If not could so test it with an active player in slot 2? I think the results might be different then.
(0001175)
DorkeyDear (reporter)
2011-09-25 14:47
edited on: 2011-09-25 14:51

Now that you mention it, I did not test other players/bots, nor a spectator player with owner of the created bullets. I'll test that today, and hopefully give clearer results than the mess I provided previously. I'll post here once I have the results.

(0001192)
Fryer (reporter)
2011-10-01 17:50

All bullets should function correctly now.
Bullet styles 6 and 11 (punch and stab/chainsaw) will remain invisible, because that's how it is when a player "shoots" them normally.

- Issue History
Date Modified Username Field Change
2011-09-14 17:23 JotEmI New Issue
2011-09-17 18:25 DorkeyDear Note Added: 0001128
2011-09-20 17:20 Shoozza Status new => confirmed
2011-09-23 11:52 Shoozza Note Added: 0001170
2011-09-23 11:52 Shoozza Assigned To => Shoozza
2011-09-23 11:52 Shoozza Status confirmed => feedback
2011-09-25 14:47 DorkeyDear Note Added: 0001175
2011-09-25 14:51 DorkeyDear Note Edited: 0001175 View Revisions
2011-10-01 17:50 Fryer Note Added: 0001192
2011-10-01 17:50 Fryer Status feedback => resolved
2011-10-01 17:50 Fryer Fixed in Version => 2.7.1
2011-10-01 17:50 Fryer Resolution open => fixed
2011-10-01 17:50 Fryer Assigned To Shoozza => Fryer
2011-10-01 19:40 Fryer Relationship added has duplicate 0000076


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker